apt autoremove wants to remove...

If none of the more specific forums is the right place to ask

apt autoremove wants to remove...

Postby Debian_purist » 2019-01-03 19:24

howdy folks ...

as title says , xinit , xorg , it is ok ?
Code: Select all
The following packages were automatically installed and are no longer required:
  freepats gstreamer1.0-libav gstreamer1.0-plugins-bad gstreamer1.0-plugins-ugly
  libavfilter7 libbs2b0 libburn4 libde265-0 libexo-common libexo-helpers libflite1
  libfluidsynth1 libgarcon-common libgssdp-1.0-3 libgstreamer-plugins-bad1.0-0
  libgtksourceview-3.0-1 libgtksourceview-3.0-common libgupnp-1.0-4
  libgupnp-igd-1.0-4 libisofs6 libjte1 liblilv-0-0 libmjpegutils-2.1-0 libmms0
  libmodplug1 libmpeg2encpp-2.1-0 libmplex2-2.1-0 libnice10 libnorm1 libnotify-bin
  libofa0 libopenal-data libopenal1 libopencore-amrnb0 libopencore-amrwb0
  libpgm-5.2-0 librubberband2 libserd-0-0 libsidplay1v5 libsodium23 libsord-0-0
  libsoundtouch1 libspandsp2 libsratom-0-0 libsrtp2-1 libtagc0 libtumbler-1-0
  libunique-1.0-0 libvidstab1.1 libvo-aacenc0 libvo-amrwbenc0 libwildmidi-config
  libwildmidi2 libwnck-3-0 libwnck-3-common libwnck-common libwnck22 libxnvctrl0
  libxres1 libzbar0 libzmq5 light-locker mousepad tango-icon-theme tumbler
  tumbler-common x11-apps x11-session-utils xarchiver xinit xorg
Use 'apt autoremove' to remove them.
User avatar
Debian_purist
 
Posts: 39
Joined: 2017-07-15 14:45

Re: apt autoremove wants to remove...

Postby stevepusser » 2019-01-03 19:34

That will destroy any GUI you have installed, so only a command-line purist would say that's good. Here is why you now have your desktop environment autoremovable: viewtopic.php?t=104157

No doubt you removed some package that the XFCE desktop metapackage depended on; can you remember what that was?

You can try running

Code: Select all
apt install <that list of autoremovable packages above>


In my experience, though they are already installed, this will mark them as manually installed and they won't be autoremovable.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Foliate 1.5.3, Minitube 3.1, wine-staging 4.12, Virtual Box 5.2.32 & 6.0.10, Pale Moon 28.6.1, Waterfox 56.2.12
User avatar
stevepusser
 
Posts: 11022
Joined: 2009-10-06 05:53

Re: apt autoremove wants to remove...

Postby Debian_purist » 2019-01-03 19:56

U my savior, dude :!: :idea: :wink: :P

Code: Select all
Commit Log for Thu Jan  3 13:41:08 2019
Completely removed the following packages:
exo-utils
gtk2-engines-xfce
libxfce4ui-common
libxfce4ui-utils
libxfce4util-bin
libxfce4util-common
parole
ristretto
thunar
thunar-archive-plugin
thunar-data
thunar-media-tags-plugin
thunar-volman
xfburn
xfce4
xfce4-appfinder
xfce4-battery-plugin
xfce4-clipman
xfce4-clipman-plugin
xfce4-cpufreq-plugin
xfce4-cpugraph-plugin
xfce4-datetime-plugin
xfce4-dict
xfce4-diskperf-plugin
xfce4-fsguard-plugin
xfce4-genmon-plugin
xfce4-goodies
xfce4-mailwatch-plugin
xfce4-netload-plugin
xfce4-notes
xfce4-notes-plugin
xfce4-notifyd
xfce4-panel
xfce4-places-plugin
xfce4-power-manager
xfce4-power-manager-data
xfce4-power-manager-plugins
xfce4-pulseaudio-plugin
xfce4-screenshooter
xfce4-sensors-plugin
xfce4-session
xfce4-settings
xfce4-smartbookmark-plugin
xfce4-systemload-plugin
xfce4-taskmanager
xfce4-terminal
xfce4-timer-plugin
xfce4-verve-plugin
xfce4-wavelan-plugin
xfce4-weather-plugin
xfce4-whiskermenu-plugin
xfce4-xkb-plugin
xfconf
xfdesktop4
xfdesktop4-data
xfwm4
Removed the following packages:
libexo-1-0
libexo-2-0
libgarcon-1-0
libthunarx-3-0
libxfce4panel-2.0-4
libxfce4ui-1-0
libxfce4ui-2-0
libxfce4util7
libxfconf-0-2


tia !
User avatar
Debian_purist
 
Posts: 39
Joined: 2017-07-15 14:45

Re: apt autoremove wants to remove...

Postby stevepusser » 2019-01-03 20:25

If that indeed fixes the problem, please edit the title of your first post in the thread and add [SOLVED]. Thanks!
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Foliate 1.5.3, Minitube 3.1, wine-staging 4.12, Virtual Box 5.2.32 & 6.0.10, Pale Moon 28.6.1, Waterfox 56.2.12
User avatar
stevepusser
 
Posts: 11022
Joined: 2009-10-06 05:53

Re: apt autoremove wants to remove...

Postby Debian_purist » 2019-01-03 22:42

No , isn't finished yet ...

Code: Select all
Other Packages Related to xorg

    depends

   

    recommends

   

    suggests

   

    enhances

    dep: libgl1-mesa-dri
        free implementation of the OpenGL API -- DRI modules

    dep: libgl1-mesa-glx
        transitional dummy package
    or libgl1
        Vendor neutral GL dispatch library -- legacy GL support
        also a virtual package provided by libgl1-mesa-glx, libgl1-mesa-swx11

    dep: libglu1-mesa
        Mesa OpenGL utility library (GLU)

    dep: x11-apps
        X applications

    dep: x11-session-utils
        X session utilities

    dep: x11-utils
        X11 utilities

    dep: x11-xkb-utils
        X11 XKB utilities

    dep: x11-xserver-utils
        X server utilities

    dep: xauth
        X authentication utility

    dep: xfonts-100dpi (>= 1:1.0.0-1)
        100 dpi fonts for X

    dep: xfonts-75dpi (>= 1:1.0.0-1)
        75 dpi fonts for X

    dep: xfonts-base (>= 1:1.0.0-1)
        standard fonts for X

    dep: xfonts-scalable (>= 1:1.0.0-1)
        scalable fonts for X

    dep: xfonts-utils
        X Window System font utility programs

    dep: xinit
        X server initialisation tool

    dep: xkb-data
        X Keyboard Extension (XKB) configuration data

    dep: xorg-docs-core
        Core documentation for the X.org X Window System

    dep: xserver-xorg (>= 1:7.7+19)
        X.Org X server

    dep: xterm
        X terminal emulator
    or x-terminal-emulator
        virtual package provided by [show 37 providing packages]

    sug: x11-xfs-utils
        X font server utilities

    sug: xorg-docs
        Miscellaneous documentation for the X.org X Window System



https://packages.debian.org/sid/x11/xorg
User avatar
Debian_purist
 
Posts: 39
Joined: 2017-07-15 14:45

Re: apt autoremove wants to remove...

Postby stevepusser » 2019-01-03 23:08

Oh, you're using Sid? That adds another whole bucket of worms to the mess.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Foliate 1.5.3, Minitube 3.1, wine-staging 4.12, Virtual Box 5.2.32 & 6.0.10, Pale Moon 28.6.1, Waterfox 56.2.12
User avatar
stevepusser
 
Posts: 11022
Joined: 2009-10-06 05:53

Re: apt autoremove wants to remove...

Postby xepan » 2019-01-04 03:35

probably that : viewtopic.php?t=104157

note: I missed that the link was already given above, sorry.
Last edited by xepan on 2019-01-04 04:12, edited 1 time in total.
xepan
 
Posts: 89
Joined: 2018-11-28 06:38

Re: apt autoremove wants to remove...

Postby dilberts_left_nut » 2019-01-04 03:56

Or this: https://www.debian.org/doc/manuals/debi ... l_upgrades

.. or a combination of both :)
AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 4994
Joined: 2009-10-05 07:54
Location: enzed

Re: apt autoremove wants to remove...

Postby xepan » 2019-01-04 04:10

Gotta say that i usually just let apt-get remove whatever it wants to remove and just reinstall it again, this time without metapackages.
If i read: "Type: 'Yes, do as i say !' "; i tend to hesitate .

Not saying i would tell anyone else to follow that, i admit, rather raw approach. Just chat.
xepan
 
Posts: 89
Joined: 2018-11-28 06:38

Re: apt autoremove wants to remove...

Postby Debian_purist » 2019-01-04 16:37

mysteriously , today xorg and xinit cease to be visible :
Code: Select all
# apt autoremove
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  dnsutils freepats gstreamer1.0-libav gstreamer1.0-plugins-bad
  gstreamer1.0-plugins-ugly hddtemp libavfilter7 libbs2b0 libburn4 libde265-0
  libexo-common libexo-helpers libflite1 libfluidsynth1 libgarcon-common
  libgssdp-1.0-3 libgstreamer-plugins-bad1.0-0 libgtksourceview-3.0-1
  libgtksourceview-3.0-common libgupnp-1.0-4 libgupnp-igd-1.0-4 libirs161 libisofs6
  libjte1 liblilv-0-0 libmjpegutils-2.1-0 libmms0 libmodplug1 libmpeg2encpp-2.1-0
  libmplex2-2.1-0 libnice10 libnorm1 libnotify-bin libofa0 libopenal-data
  libopenal1 libopencore-amrnb0 libopencore-amrwb0 libpgm-5.2-0 librubberband2
  libserd-0-0 libsidplay1v5 libsodium23 libsord-0-0 libsoundtouch1 libspandsp2
  libsratom-0-0 libsrtp2-1 libtagc0 libtumbler-1-0 libunique-1.0-0 libvidstab1.1
  libvo-aacenc0 libvo-amrwbenc0 libwildmidi-config libwildmidi2 libwnck-3-0
  libwnck-3-common libwnck-common libwnck22 libxnvctrl0 libxres1 libzbar0 libzmq5
  light-locker tango-icon-theme tree tumbler tumbler-common xarchiver
0 upgraded, 0 newly installed, 70 to remove and 8 not upgraded.
After this operation, 114 MB disk space will be freed.
Do you want to continue? [Y/n]

:roll:
User avatar
Debian_purist
 
Posts: 39
Joined: 2017-07-15 14:45

Re: apt autoremove wants to remove...

Postby CwF » 2019-01-04 17:41

Aptitude is a beautiful thing, if you like ncurses style, I do. Otherwise synaptic and gdebi accomplish anything needed. Synaptic can show the dependents, the depends, orphans, and can be extended in ways nobody pays attention to. Anymore, I do it all in synaptic. I doubt I will ever type apt autoremove or upgrade in a terminal ever again. It's simply not necessary .
CwF
 
Posts: 400
Joined: 2018-06-20 15:16

Re: apt autoremove wants to remove...

Postby Head_on_a_Stick » 2019-01-04 18:04

Debian_purist wrote:mysteriously

The only mystery in this thread is why you obviously haven't bothered to read the link provide by both xepan and stevepusser :roll:

Please _read_ the link, it explains everything, including how to fix this.
User avatar
Head_on_a_Stick
 
Posts: 10346
Joined: 2014-06-01 17:46
Location: /dev/chair


Return to General Questions

Who is online

Users browsing this forum: No registered users and 14 guests

fashionable